Shop Custom Objects (deprecated)

GET Read custom object

GET /custom_objects/{object_type}/{key}

Operation ID: Read custom object. Tags: custom_objects. Security: client_id; customers_auth.

Reads a custom object with a given object type ID and a value for the key attribute of the object which represents its unique identifier.

This endpoint may return the following faults:

  • 400 - MalformedKeyParameterException - If the object key must be an integer, but the path parameter has an invalid format
  • 404 - CustomObjectNotFoundException - If the custom object cannot be found
  • 404 - ObjectTypeNotFoundException - For an unknown object type ID

Parameters

  • object_type (path, string, required) the ID of the object type
    Minimum length: 1.
  • key (path, string, required) the key attribute value of the custom object
    Minimum length: 1.

Responses

  • 400 MalformedKeyParameterException - If the object key must be an integer, but the path parameter has an invalid format

    Media type: application/json, text/xml. Schema: fault.

  • 404 CustomObjectNotFoundException - If the custom object cannot be found or ObjectTypeNotFoundException - For an unknown object type ID

    Media type: application/json, text/xml. Schema: fault.

  • default

    Media type: application/json, text/xml. Schema: custom_object.